> ## Documentation Index
> Fetch the complete documentation index at: https://developer.payrollintegrations.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve Employee Aliases

> Accepts a list of employee aliases (e.g. SSNs) and returns their corresponding UUIDs.



## OpenAPI

````yaml api-reference/openapi.demo.json POST /v1/employer-identifiers/{employer_identifier}/employee-aliases/resolve
openapi: 3.0.3
info:
  title: Payroll Integrations Public API
  version: 1.0.0
  description: Public API for Payroll Integrations platform
  license:
    name: MIT
servers:
  - url: https://demo1-api.payrollintegrationsdemo.com
    description: Demo
  - url: https://demo2-api.payrollintegrationsdemo.com
    description: Demo
  - url: https://demo3-api.payrollintegrationsdemo.com
    description: Demo
security: []
tags:
  - name: auth
  - name: employer-identifiers
  - name: meta
  - name: payroll-connections
  - name: payroll-platforms
  - name: roles
  - name: users
  - name: webhooks
paths:
  /v1/employer-identifiers/{employer_identifier}/employee-aliases/resolve:
    post:
      tags:
        - employer-identifiers
      description: >-
        Accepts a list of employee aliases (e.g. SSNs) and returns their
        corresponding UUIDs.
      operationId: >-
        post_v1_employer_identifiers_employer_identifier_employee_aliases_resolve
      parameters:
        - name: employer_identifier
          in: path
          required: true
          schema:
            description: UUID of the employer identifier
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          description: UUID of the employer identifier
      requestBody:
        description: List of employee aliases to resolve
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResolveEmployeeAliasRequest'
            example:
              aliases:
                - type: SSN
                  value: 123-45-6789
                - type: SSN
                  value: 987-65-4321
      responses:
        '200':
          description: Employee aliases resolved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResolveEmployeeAliasResponse'
              example:
                data:
                  - alias:
                      type: SSN
                      value: 123-45-6789
                    records:
                      - employeeProfileIds:
                          - 11111111-1111-1111-1111-111111111111
                          - 22222222-2222-2222-2222-222222222222
                        payrollConnectionId: 33333333-3333-3333-3333-333333333333
                        employeeId: 55555555-5555-5555-5555-555555555555
                  - alias:
                      type: SSN
                      value: 987-65-4321
                    records:
                      - employeeProfileIds:
                          - 44444444-4444-4444-4444-444444444444
                        payrollConnectionId: 33333333-3333-3333-3333-333333333333
                        employeeId: 66666666-6666-6666-6666-666666666666
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Invalid or missing token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers:
            WWW-Authenticate:
              schema:
                description: Authentication challenge (Bearer)
                type: string
              description: Authentication challenge (Bearer)
        '403':
          description: Insufficient permissions or access denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers:
            Retry-After:
              schema:
                description: Number of seconds to wait before retrying
                type: string
              description: Number of seconds to wait before retrying
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    ResolveEmployeeAliasRequest:
      type: object
      properties:
        aliases:
          description: List of employee aliases to resolve (max 100)
          maxItems: 100
          type: array
          items:
            anyOf:
              - type: object
                properties:
                  type:
                    description: The type of employee alias provided (e.g. SSN)
                    type: string
                    enum:
                      - SSN
                  value:
                    description: The alias value (e.g. SSN in format XXX-XX-XXXX)
                    type: string
                    pattern: ^\d{3}-\d{2}-\d{4}$
                required:
                  - type
                  - value
      required:
        - aliases
    ResolveEmployeeAliasResponse:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              alias:
                anyOf:
                  - type: object
                    properties:
                      type:
                        description: The type of employee alias provided (e.g. SSN)
                        type: string
                        enum:
                          - SSN
                      value:
                        description: The alias value (e.g. SSN in format XXX-XX-XXXX)
                        type: string
                        pattern: ^\d{3}-\d{2}-\d{4}$
                    required:
                      - type
                      - value
                    additionalProperties: false
              records:
                type: array
                items:
                  type: object
                  properties:
                    employeeProfileIds:
                      description: >-
                        An array of the unique IDs for each profile associated
                        with a given employee
                      type: array
                      items:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                    payrollConnectionId:
                      description: The unique ID of a payroll platform connection
                      type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                    employeeId:
                      description: >-
                        The unique ID for the shared base profile for a given
                        employee
                      type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  required:
                    - employeeProfileIds
                    - payrollConnectionId
                    - employeeId
                  additionalProperties: false
            required:
              - alias
              - records
            additionalProperties: false
      required:
        - data
      additionalProperties: false
    ErrorResponse:
      type: object
      properties:
        message:
          description: Human-readable error message
          type: string
        errors:
          description: Array of specific error details
          type: array
          items:
            type: string
      required:
        - message
        - errors
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token obtained from the /v1/auth/token endpoint. Send as:
        Authorization: Bearer <token>.

````